Subject: Re: DSA support for Marvell 88e6065 switch

From: Pavel Machek <[email-masked]>
Date: Thu, 6 Dec 2018 15:40:34 +0100

Hi!

> >>> 6065 indeed has some kind of "egress tagging mode" (with four
> >>> options), but I have trouble understanding what it really does.
> >>
> >> What are the options?
> > 
> > "transmit unmodified", "transmit untagged", "transmit tagged" and
> > "transmit all frames double tagged".
> 
> It seems to me that this applies to VLAN headers, not DSA/trailer
> headers though not having the data sheet I should be flat out wrong.

I guess you are right.

And while we probably could use VLAN headers instead of DSA header (in
double tagging mode or something), it would likely be complex and error-prone...

Thanks,
									Pavel

-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html